from setuptools import setup, find_packages
import os

# utility functions
# funny, that utility package has utility functions


version = "0.0.2"

README = os.path.join(os.path.dirname(__file__), 'README.txt')
HISTORY = os.path.join(os.path.dirname(__file__), 'HISTORY.txt')
UTILS = os.path.join(os.path.dirname(__file__), 'roopeshv', 
                     'utils', 'utils.txt')

long_description = open(README).read() + '\n\n' + open(UTILS).read() + '\n\n' + open(HISTORY).read() + '\n\n'

classifiers = ["Programming Language :: Python",
               "Topic :: Software Development :: Libraries :: Python Modules",
               ]

setup(name='roopeshv.utils',
      version=version,
      description="My utility functions. Will be adding more",
      long_description=long_description,
      author='roopeshv',
      author_email='roopeshvaddepally@gmail.com',
      url='',
      classifiers = classifiers,
      keywords='roopeshv utility functions',
      license='LGPLv3',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['roopeshv'],
      install_requires=['setuptools',],
      entry_points={}, # nothing here yet
      )
